Skip to main content
PATCH
Update an item

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

personId
integer<int64>
required

Person's internal ID.

Required range: x >= 1
listName
string
required

Name given to a list.

Minimum string length: 1
itemId
string
required

Identifier of an item to update.
Identifier should be UUID.
Value of __id-field passed in a body will be replaced by the current value.

Body

application/json

Item fields for update.
Can't be less than 1 and more than 128 fields.
If value of a field explicitly passed as NULL, it will delete a current value of the field.

Response

Item fields updated